Subject: Re: [PATCH net-next 3/3] xfrm: Restrict "level use" for IPComp configuration

From: Steffen Klassert <[email-masked]>
Date: Tue, 10 Dec 2013 14:11:58 +0100

On Tue, Dec 10, 2013 at 10:39:51AM +0800, Fan Du wrote:
> 
> 
> On 2013年12月09日 18:38, Steffen Klassert wrote:
> >
> >I think this will make a lot of people unhappy. It was never required
> >to set 'optional' for ipcomp, and I'd bet that most users don't set
> >it for ipcomp. I understand the problem, but we can't fix it like that.
> 
> Instead of making this check, what about wire 'optional' to 1? it doesn't
> breaking existing script.

But it might change what a user expects to happen.

> 
> Do you have any other way to cure this problem other than 'optional'.
> 

I think the user can 'fix' the problem himself by setting 'optional'.
This has also the advantage that he is aware about the change. Maybe
this should be documented somewhere.